## org.apache.axis.wsdl.symbolTable
Class ServiceEntry

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.ServiceEntry

public class ServiceEntry
extends SymTabEntry

This class represents a WSDL service. It simply encompasses the WSDL4J Service object so it can reside in the SymbolTable.

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`ServiceEntry(javax.wsdl.Service service)` Construct a ServiceEntry from a WSDL4J Service object.

Method Summary
`javax.wsdl.Service` `getService()` Get this entry's Service object.

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceEntry

    public ServiceEntry(javax.wsdl.Service service)

  Construct a ServiceEntry from a WSDL4J Service object.

Method Detail

### getService

    public javax.wsdl.Service getService()

  Get this entry's Service object.

Copyright © 2003 Apache Web Services Project. All Rights Reserved.